QGIS Application - Bug report #20238
DB Manager: Python error when trying to open a GPKG connection and the datasource is missing
2018-10-27 06:09 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: DB Manager

Affected QGIS version:3.4.0 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 28059
Description

The same scenario but with Spatialite it returns a much better message in a dialog window.

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/db_manager/db_model.py", line 444, in rowCount
self._refreshindex(parent, True)

File "/usr/share/qgis/python/plugins/db_manager/db_model.py", line 493, in refreshindex
if item.populate():

File "Jusr/share/qgis/python/plugins/db_manager/db_model.py", line 170, in populate
if not connection.connect():

File "/usr/share/qgis/python/plugins/db_manager/db_plugins/gpkg/plugin.py”, line 78, in connect
return self.connectToUri(uri)

File "/usr/share/qgis/python/plugins/db_manager/db_plugins/plugin.py”, line 109, in connectToUri
self.db = self.databasesFactory(self, uri)

File "/usr/share/qgis/python/plugins/db_manager/db_plugins/gpkg/plugin.py”, line 64, in databasesFactory
return GPKGDatabase(connection, uri)

File "/usr/share/qgis/python/plugins/db_manager/db_plugins/gpkg/plugin.py”, line 108, in init
Database._init__(self, connection, uri)

File "/usr/share/qgis/python/plugins/db_manager/db_plugins/plugin.py", line 218, in init
self.connector = self.connectorsFactory(uri)

File "/usr/share/qgis/python/plugins/db_manager/db_plugins/gpkg/plugin.py", line 111, in connectorsFactory
return GPKGDBConnector(uri)

File "/usr/share/qgis/python/plugins/db_manager/db_plugins/gpkg/connector.py", line 50, in init
self._opendb()

File "/usr/share/qgis/python/plugins/db_manager/db_plugins/gpkg/connector.py", line 57, in _opendb
self.gdal_ds = gdal.OpenEx(self.dbname, gdal.OF _UPDATE)

File "/usr/lib/python3/dist-packages/osgeo/gdal.py", line 3014, in OpenEx
return _gdal.OpenEx(*args, **kwargs)

RuntimeError: /home/giovanni/Desktop/lixo1.gpkg: No such file or directory

History

#1 - 2018-10-28 02:18 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#2 - 2018-10-28 02:37 PM - Alessandro Pasotti

- Status changed from Open to Feedback
- File qgis-dbmnager-invalid-gpkg.png added
| cannot reproduce (but you don't say "how" you "trying to open a GPKG connection", so I'm probably doing that different than you did).

In my test, a yellow warning message bar appears (see attachment)

Can you make a short video?

#3 - 2018-10-28 09:32 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
